Python: command “python -m pip install --upgrade pip” doesn'

Einfach Dinge, die nichts mit XAMPP, Apache Friends, Apache, MySQL, PHP und alle dem zu tun haben. Allerlei halt. ;)

Python: command “python -m pip install --upgrade pip” doesn'

Postby unleash_it » 16. September 2019 15:09

hello dear experts, 


well i have no idea why the python things do not work here. 
the pc. Win 7

the idea: i want to install the newest python and some additional things. 

Python: command “python -m pip install --upgrade pip” doesn't work

I want to upgrade my pip, but if I type in "python -m pip install --upgrade pip", then my command shell says "cannot find 'python'". Python is already installed and my command shell can't detect the command "python", though.



Code: Select all
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. Alle Rechte vorbehalten.

C:\Users\Kasper>pip install esptool
Collecting esptool
  Downloading https://files.pythonhosted.org/packages/6c/bf/578443af2270ebeff78f
dfd30cef3a02433cc63b34a912936653a48526dd/esptool-2.7.tar.gz (83kB)
    100% |████████████████████████████████| 92kB 1.7MB/s
Collecting pyserial>=3.0 (from esptool)
  Downloading https://files.pythonhosted.org/packages/0d/e4/2a744dd9e3be04a0c090
7414e2a01a7c88bb3915cbe3c8cc06e209f59c30/pyserial-3.4-py2.py3-none-any.whl (193k
B)/>
    100% |████████████████████████████████| 194kB 4.3MB/s
Collecting pyaes (from esptool)
  Downloading https://files.pythonhosted.org/packages/44/66/2c17bae31c9066137957
11fc78045c285048168919ace2220daa372c7d72/pyaes-1.6.1.tar.gz
Collecting ecdsa (from esptool)
  Downloading https://files.pythonhosted.org/packages/23/a8/8aa68e70959e1287da91
54e5164bb8bd5dd7025e41ae54e8d177b8d165c9/ecdsa-0.13.2-py2.py3-none-any.whl (59kB
)
    100% |████████████████████████████████| 61kB 7.7MB/s
Installing collected packages: pyserial, pyaes, ecdsa, esptool
Could not install packages due to an EnvironmentError: [WinError 5] Zugriff verw
eigert: 'c:\\program files\\python37\\Lib\\site-packages\\pyserial-3.4.dist-info
'
Consider using the `--user` option or check the permissions.

You are using pip version 10.0.1, however version 19.2.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' comm
and.

C:\Users\Kasper>pip install wxPython
Collecting wxPython
  Downloading https://files.pythonhosted.org/packages/d0/8e/2c72bc3624e5cee50aa9
4f8ae8756bc1c3aec96e8d456b6aa1242e92e9e8/wxPython-4.0.6-cp37-cp37m-win_amd64.whl
 (22.9MB)
    100% |████████████████████████████████| 22.9MB 1.4MB/s
Collecting numpy (from wxPython)
  Downloading https://files.pythonhosted.org/packages/bd/51/7df1a3858ff0465f760b
482514f1292836f8be08d84aba411b48dda72fa9/numpy-1.17.2-cp37-cp37m-win_amd64.whl (
12.8MB)
    100% |████████████████████████████████| 12.8MB 2.5MB/s
Requirement already satisfied: six in c:\users\kasper\appdata\roaming\python\pyt
hon37\site-packages (from wxPython) (1.12.0)
Collecting pillow (from wxPython)
  Downloading https://files.pythonhosted.org/packages/ae/96/6f83deebfcd20a5d4ad3
5e4e989814a16559d8715741457e670aae1a5a09/Pillow-6.1.0-cp37-cp37m-win_amd64.whl (
2.0MB)
    100% |████████████████████████████████| 2.0MB 6.0MB/s
Installing collected packages: numpy, pillow, wxPython
Could not install packages due to an EnvironmentError: [WinError 5] Zugriff verw
eigert: 'c:\\program files\\python37\\Lib\\site-packages\\numpy'
Consider using the `--user` option or check the permissions.

You are using pip version 10.0.1, however version 19.2.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' comm
and.

C:\Users\Kasper> -m pip install wxpython
Der Befehl "-m" ist entweder falsch geschrieben oder
konnte nicht gefunden werden.

C:\Users\Kasper> m pip install wxpython
Der Befehl "m" ist entweder falsch geschrieben oder
konnte nicht gefunden werden.

C:\Users\Kasper> pip3 install --upgrade pip
ERROR: To modify pip, please run the following command:
c:\program files\python37\python.exe -m pip install --upgrade pip
You are using pip version 10.0.1, however version 19.2.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' comm
and.

C:\Users\Kasper>


well i have no glue whats going on here. 
unleash_it
 
Posts: 52
Joined: 10. December 2011 18:32
Operating System: linux opensuse 12.1

Return to Allerlei

Who is online

Users browsing this forum: No registered users and 1 guest